URNG(4)

NAME
urng - USB Random Number Generator devices

SYNOPSIS
urng* at uhub?

DESCRIPTION
The urng driver provides support for various true random number generator (TRNG) devices connected via USB. urng reads raw entropy from the device at a (hardware dependent) interval and stirs it into the system entropy pool with add_true_randomness(9).

HARDWARE
The following devices are supported by this driver:

Araneus Alea I and II
    Capable of delivering 100kbit/sec of hardware-generated entropy.

Altus Metrum ChaosKey 1.0
    This device is capable of providing entropy at 10Mbit/s.

SEE ALSO
intro(4), usb(4), add_true_randomness(9)

HISTORY
The urng driver first appeared in OpenBSD 6.2.

AUTHORS
The urng driver was written by Aaron Bieber <abieber@openbsd.org>, Jasper Lievisse Adriaanse <jasper@openbsd.org>, and Sean Levy <attila@stalphonsos.com>.